from thd_json.projection import get_projection_validator
from thd_json.header import get_header_validator
from thd_json.source import get_source_validator
from pathlib import Path


FILE_H = Path("./examples/generated/example_header.json")
FILE_P = Path("./examples/generated/example_projection.json")
FILE_S = Path("./examples/generated/example_source.json")


def main():
    source_validator = get_source_validator()
    source_validator.file(FILE_S)

    projection_validator = get_projection_validator()
    projection_validator.file(FILE_P)

    header_validator = get_header_validator()
    header_validator.file(FILE_H)


if __name__ == "__main__":
    main()
