import numpy as np
from PIL import Image
from pathlib import Path

from .load_json import load_thd_meta_data


def load_thd_projection(json_path: Path):
    meta_data = load_thd_meta_data(json_path)
    image = np.asarray(Image.open(json_path.parent / meta_data["image"]["image_path"]))
    return meta_data, image
